This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 712527 - [abrt] kernel: BUG: sleeping function called from invalid context at kernel/rwsem.c:21: TAINTED Die
[abrt] kernel: BUG: sleeping function called from invalid context at kernel/r...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:ec9b276335777cc84c8986d545a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-10 17:27 EDT by Ronald Canete
Modified: 2011-08-17 22:33 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.40.3-0.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 21:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ronald Canete 2011-06-10 17:27:02 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        ro root=/dev/mapper/VolGroup-lv_root rd_LVM_LV=VolGroup/lv_root rd_LVM_LV=VolGroup/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
component:      kernel
kernel:         2.6.38.7-30.fc15.i686.PAE
kernel_tainted: 128
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: sleeping function called from invalid context at kernel/rwsem.c:21
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Fri Jun 10 08:44:23 2011

backtrace:
:BUG: sleeping function called from invalid context at kernel/rwsem.c:21
:in_atomic(): 0, irqs_disabled(): 1, pid: 3084, name: umount
:Pid: 3084, comm: umount Tainted: G      D     2.6.38.7-30.fc15.i686.PAE #1
:Call Trace:
: [<c07e15ee>] ? printk+0x2d/0x2f
: [<c0435c02>] __might_sleep+0xdd/0xe4
: [<c07e8782>] down_read+0x1c/0x30
: [<c0474350>] acct_collect+0x3e/0x138
: [<c04450ba>] do_exit+0x1d0/0x61c
: [<c0469c74>] ? arch_local_irq_save+0x12/0x17
: [<c0443592>] ? kmsg_dump+0x3a/0xb8
: [<c07ea4ab>] oops_end+0xa2/0xa8
: [<c07e0faf>] no_context+0x164/0x16c
: [<c07e10d1>] __bad_area_nosemaphore+0x11a/0x122
: [<c0429591>] ? pmd_offset+0x1e/0x2d
: [<c07ebc22>] ? spurious_fault+0x70/0xd7
: [<c07e10f0>] bad_area_nosemaphore+0x17/0x19
: [<c07ebeb2>] do_page_fault+0x159/0x30c
: [<c040e9e1>] ? sched_clock+0x8/0xb
: [<c04308c4>] ? update_curr+0x12a/0x132
: [<c07ebd59>] ? do_page_fault+0x0/0x30c
: [<c07e9adf>] error_code+0x67/0x6c
: [<c043007b>] ? cpuacct_populate+0x13/0x25
: [<c05be0ef>] ? elv_may_queue+0x1d/0x20
: [<c05c246a>] get_request+0x27/0x21c
: [<c0437896>] ? ttwu_post_activation+0x51/0x113
: [<c05c2e99>] get_request_wait+0x2b/0x132
: [<c0435b4e>] ? __might_sleep+0x29/0xe4
: [<c05c2fda>] blk_get_request+0x3a/0x63
: [<c06953c8>] scsi_execute+0x26/0x110
: [<c06954e6>] ? scsi_execute_req+0x34/0xad
: [<c0695537>] scsi_execute_req+0x85/0xad
: [<c0691c33>] ioctl_internal_command.constprop.1+0x6f/0x15f
: [<c0691d73>] scsi_set_medium_removal+0x50/0x87
: [<c04bbc9f>] ? truncate_inode_pages_range+0x18c/0x209
: [<c06a2bf7>] sr_lock_door+0x1b/0x1d
: [<c06c1795>] cdrom_release+0x180/0x1e2
: [<c04697f4>] ? smp_call_function_many+0xdd/0x1b4
: [<c0435b4e>] ? __might_sleep+0x29/0xe4
: [<c050cd1c>] ? brelse+0x11/0x13
: [<c042f67b>] ? should_resched+0xd/0x27
: [<c07e7d69>] ? _cond_resched+0xd/0x21
: [<c06a1cee>] sr_block_release+0x28/0x3f
: [<c0511248>] __blkdev_put+0xa7/0x135
: [<c05113b8>] blkdev_put+0xe2/0xe7
: [<c04ef407>] kill_block_super+0x5c/0x60
: [<c04ef5de>] deactivate_locked_super+0x1f/0x40
: [<c04eff6f>] deactivate_super+0x2e/0x31
: [<c0501b1c>] mntput_no_expire+0xb5/0xb9
: [<c05023ba>] sys_umount+0x270/0x297
: [<c04f5422>] ? path_put+0x1a/0x1d
: [<c040969f>] sysenter_do_call+0x12/0x28

event_log:
:2011-06-11-00:26:51> Submitting oops report to http://submit.kerneloops.org/submitoops.php
:2011-06-11-00:26:55  Kernel oops report was uploaded
Comment 1 Dave Jones 2011-07-29 11:54:40 EDT
This bug should be fixed with 2.6.40-3 and higher (available in updates-testing. Please try that kernel, and leave feedback.

Thanks.
Comment 2 Fedora Update System 2011-07-29 12:00:57 EDT
kernel-2.6.40-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-3.fc15
Comment 3 Fedora Update System 2011-07-29 16:40:07 EDT
kernel-2.6.40-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
Comment 4 Fedora Update System 2011-07-30 23:33:15 EDT
Package kernel-2.6.40-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40-4.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40-4.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-08-01 21:57:54 EDT
kernel-2.6.40-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-08-16 08:48:08 EDT
kernel-2.6.40.3-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.3-0.fc15
Comment 7 Fedora Update System 2011-08-17 22:30:58 EDT
kernel-2.6.40.3-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.